# Function query

- query<T>(where, source, queryable, options): Promise<Feature[]>

- Queries an array of Graphics or Features using an SQL 'where' clause and/or a spatial filter.

  #### Type Parameters

  - T extends Graphic | Feature

  #### Parameters

  - where: string

    The SQL where clause with which to query.

  - source: FeatureSource

    The source of the Graphics/Features.

  - queryable: T[]

    The array of Graphics/Features to query.

  - options: QueryOptions

    Additional options to use as a part of the query.

  #### Returns Promise<Feature[]>